Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for Valkey™
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. ResourcePreset
  4. Get

Managed Service for Redis API, REST: ResourcePreset.Get

Written by
Yandex Cloud
Updated at October 7, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the specified resource preset.
To get the list of available resource presets, make a List request.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-redis/v1/resourcePresets/{resourcePresetId}

Path parametersPath parameters

Field

Description

resourcePresetId

string

Required field. ID of the resource preset to return.
To get the resource preset ID, use a ResourcePresetService.List request.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "zoneIds": [
    "string"
  ],
  "memory": "string",
  "cores": "string"
}

A resource preset that describes hardware configuration for a host.

Field

Description

id

string

Required field. ID of the resource preset.

zoneIds[]

string

IDs of the availability zones where the resource preset is available.

memory

string (int64)

RAM volume for a Valkey host created with the preset, in bytes.

cores

string (int64)

Number of CPU cores for a Valkey host created with the preset.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.